SORTDCT(1L)

NAME
sortdct

SYNOPSIS
sortdct [-e errorLevel] [-q] [-r] [-u updateFreq] [-x]

DESCRIPTION
sortdct converts type-word lists into a sorted merged-type-word lists suitable for processing by the dct2mstr(1L) program in the NICETEXT system. The purpose is to help create new dictionaries for use with nicetext(1L) and scramble(1L) A type-word list is simply a text file where there is one record per line. The word follows the type definition of the word on each line. sortdct makes sure that each word only occurs once on the output. If a word is defined multiple times in the type-word list then sortdct creates a new "merged-type" category for that word. The way to merge types is to simply concatenate the list of types for a word in alphabetical order separated by a comma. For example, if the word "bill" is both a "male_name" and an "object", then the merged type would be "male_name,object". It reads input from stdin and sends the output to stdout.

OPTIONS

-e errorLevel
    Print error messages up to errorlevel. The default of 1 is probably best on a scale of 0 to 9. (0 disables errors reporting.) The messages relate to words that cannot be parsed by the scanner used in both scramble and listword.

-q  Be quiet. Do NOT print status updates or errors. This is the same as -u 0 -e 0.

-r  Rerun option: input should be the output of a previous run. The difference is that the commas as interpreted as merged types in the input file. Otherwise, it ignores the entries with commas in the type.

-u updateFreq
    Print a count of the number of input lines processed to stderr every updateFreq lines.

-x  Expand the dictionary by adding suffixes to every word and type such as "s", "ing", "ly", etc. This was an experiment used early in the development of the NICETEXT system for English. It has since been replaced with the "import" concept of impkimmo(1L), impwbstr(1L), etc.

EXAMPLES
It is strongly suggested that you try the examples in the tutorial directory of the NICETEXT distribution. For further information, please read the documentation in the doc directory.

SEE ALSO
bitcp(1L), dct2mstr(1L), expgram(1L), genmodel(1L), gramtest(1L), impkimmo(1L), impmsc(1L), impwbstr(1L), listword(1L), nicetext(1L), printint(1L), scramble(1L), txt2dct(1L).